player_limb_vecmove_cmd Struct Reference

Command: Vector move the end effector (PLAYER_LIMB_CMD_VECMOVE) More...

`#include <player_interfaces.h>`

## Public Attributes

player_point_3d_t | direction
| Direction vector to move in. More...
float | length
| Distance to move. More...

## Detailed Description

Command: Vector move the end effector (PLAYER_LIMB_CMD_VECMOVE)

Move the end effector along the provided vector from its current position for the provided distance.

## Member Data Documentation

player_point_3d_t player_limb_vecmove_cmd::direction

Direction vector to move in.

float player_limb_vecmove_cmd::length

Distance to move.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45